QuickFIX: FIX::Group Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::Group Class Reference

Base class for all FIX repeating groups. More...

`#include <Group.h>`

Inheritance diagram for FIX::Group:
[legend]
Collaboration diagram for FIX::Group:
[legend]

List of all members.

## Public Member Functions
| Group (int field, int delim)
| Group (int field, int delim, const int order[])
| Group (int field, int delim, const message_order &order)
| Group (const Group &copy)
int | field () const
int | delim () const
void | addGroup (Group &group)
void | replaceGroup (unsigned num, Group &group)
Group & | getGroup (unsigned num, Group &group) const throw ( FieldNotFound )
void | removeGroup (unsigned num, Group &group)
void | removeGroup (Group &group)
bool | hasGroup (const Group &group)
bool | hasGroup (unsigned num, Group &group)
## Private Attributes
int | m_field
int | m_delim

## Detailed Description

Base class for all FIX repeating groups.

A group consists of a count field, deliminator, and a sorting order.

Definition at line 40 of file Group.h.

## Constructor & Destructor Documentation

FIX::Group::Group | ( | int | field,
|  | int | delim |
| ) |  |  | `[inline]`

Definition at line 43 of file Group.h.

    00044   : FieldMap( message_order( delim, 0 ) ),
    00045     m_field( field ), m_delim( delim ) {}

FIX::Group::Group | ( | int | field,
|  | int | delim,
|  | const int | order[] |
| ) |  |  | `[inline]`

Definition at line 47 of file Group.h.

    00048   : FieldMap( order ), m_field( field ), m_delim( delim ) {}

FIX::Group::Group | ( | int | field,
|  | int | delim,
|  | const message_order & | order |
| ) |  |  | `[inline]`

Definition at line 50 of file Group.h.

    00051   : FieldMap( order ), m_field( field ), m_delim( delim ) {}

FIX::Group::Group | ( | const Group & | copy | ) | `[inline]`

Definition at line 53 of file Group.h.

    00054   : FieldMap( copy ), m_field( copy.m_field ), m_delim( copy.m_delim ) {}

## Member Function Documentation

void FIX::Group::addGroup | ( | Group & | group | ) |

Definition at line 31 of file Group.cpp.

References field(), QF_STACK_POP, and QF_STACK_PUSH.

    00032 { QF_STACK_PUSH(Group::addGroup)
    00033   FieldMap::addGroup( group.field(), group );
    00034   QF_STACK_POP
    00035 }

int FIX::Group::delim | ( |  | ) | const`[inline]`

Definition at line 57 of file Group.h.

References m_delim.

    00057 { return m_delim; }

int FIX::Group::field | ( |  | ) | const`[inline]`

Definition at line 56 of file Group.h.

References m_field.

Referenced by FIX::Message::addGroup(), addGroup(), FIX::Message::hasGroup(), hasGroup(), FIX::Message::removeGroup(), removeGroup(), FIX::Message::replaceGroup(), and replaceGroup().

    00056 { return m_field; }

Group & FIX::Group::getGroup | ( | unsigned | num,
|  | Group & | group |
| ) |  |  | const throw ( FieldNotFound )

Definition at line 43 of file Group.cpp.

References FIX::FieldMap::getGroup(), QF_STACK_POP, and QF_STACK_PUSH.

    00044 { QF_STACK_PUSH(Group::getGroup)
    00045   return static_cast < Group& > ( FieldMap::getGroup( num, group.field(), group ) );
    00046   QF_STACK_POP
    00047 }

bool FIX::Group::hasGroup | ( | unsigned | num,
|  | Group & | group |
| ) |  |  |

Definition at line 61 of file Group.cpp.

References field(), hasGroup(), QF_STACK_POP, and QF_STACK_PUSH.

    00062 { QF_STACK_PUSH(Group::hasGroup)
    00063   return FieldMap::hasGroup( num, group.field() );
    00064   QF_STACK_POP
    00065 }

bool FIX::Group::hasGroup | ( | const Group & | group | ) |

Definition at line 67 of file Group.cpp.

References field(), QF_STACK_POP, and QF_STACK_PUSH.

Referenced by hasGroup().

    00068 { QF_STACK_PUSH(Group::hasGroup)
    00069   return FieldMap::hasGroup( group.field() );
    00070   QF_STACK_POP
    00071 }

void FIX::Group::removeGroup | ( | Group & | group | ) |

Definition at line 55 of file Group.cpp.

References field(), QF_STACK_POP, QF_STACK_PUSH, and removeGroup().

    00056 { QF_STACK_PUSH(Group::removeGroup)
    00057   FieldMap::removeGroup( group.field() );
    00058   QF_STACK_POP
    00059 }

void FIX::Group::removeGroup | ( | unsigned | num,
|  | Group & | group |
| ) |  |  |

Definition at line 49 of file Group.cpp.

References field(), QF_STACK_POP, and QF_STACK_PUSH.

Referenced by removeGroup().

    00050 { QF_STACK_PUSH(Group::removeGroup)
    00051   FieldMap::removeGroup( num, group.field() );
    00052   QF_STACK_POP
    00053 }

void FIX::Group::replaceGroup | ( | unsigned | num,
|  | FIX::Group & | group |
| ) |  |  |

Definition at line 37 of file Group.cpp.

References field(), QF_STACK_POP, and QF_STACK_PUSH.

    00038 { QF_STACK_PUSH(Group::replaceGroup)
    00039   FieldMap::replaceGroup( num, group.field(), group );
    00040   QF_STACK_POP
    00041 }

## Member Data Documentation

int FIX::Group::m_delim`[private]`

Definition at line 69 of file Group.h.

Referenced by delim().

int FIX::Group::m_field`[private]`

Definition at line 68 of file Group.h.

Referenced by field().

The documentation for this class was generated from the following files:

- /home/omiller/Development/autobuild/quickfix/src/C++/Group.h
- /home/omiller/Development/autobuild/quickfix/src/C++/Group.cpp